// Programmiert von Samuel Wolff
// Noch nicht getestet

//
// TODO Methoden implementieren
//

package Logik;

import java.util.ArrayList;

public class MitarbeiterAccount extends Account {

	// region Konstrukoren
	public MitarbeiterAccount(String passwort, String benutzername, String email) {
		super(passwort, benutzername, email);
	}
	//endregion

	// region Methoden

	/**
	 * Setzt das Passwort eines gegebenen Accounts auf das gegebene Passwort zurück
	 * @param other Der Accout dessen Passwort zurückgesetzt wird
	 * @param passwort Das neue Passwort
	 */
	public void passwortZurzecksetzen(Account other, String passwort) {
		// Soll das so?
		other.setPasswort(passwort);
	}

	/**
	 * Bestellt eine Mahlzeit
	 */
	public void mahlzeitBestellen() {

	}

	/**
	 * Ändert einen Tagesplan
	 */
	public void tagesplanAendern() {

	}

	/**
	 * Erstellt einen neuen Account und fügt ihn in die Datenbank ein
	 * @param passwort Passwort des neuen Accounts
	 * @param benutzername Benutzername des neuen Accounts
	 * @param email Die E-Mail mit der sich der User einloggt
	 * @param kinder Eine Liste mit allen zugehörigen Kindern des Accounts
	 */
	public void accountErstellen(String passwort, String benutzername, String email, ArrayList<Kind> kinder) {
		ElternAccount newAccount = new ElternAccount(passwort, benutzername, email);
		newAccount.setKinder(kinder);
		// Id muss aus der Datenbank geholt werden und dann gesetzt werden
	}

	/**
	 * Zeigt Rechnungen gefilter nach params an
	 * @param params Die Filter Arguemente
	 */
	public void rechnungAnzeigen(String[] params) {

	}

	// TODO sollte hier nicht noch ein User mitgegeben werden?

	/**
	 * Weist ein Kind einem Account zu
	 * @param kind Das zuzuweisende Kind
	 */
	public void kinderZuweisen(Kind kind) {

	}

	// TODO hier auch?

	/**
	 * Zeigt einen Benutzer an
	 */
	public void zeigeBenutzer() {

	}
	// endregion

}
